getDevProperty(params: IGetDevProperty)

Requires:
@ray-js/ray≥1.5.2

Description

Retrieve device property data set via custom settings; write it with saveDevProperty

Parameters

ParameterTypeRequiredDescription
YesRequest parameters

Return Value

Type: Promise<IGetDevPropertyResponse>
Array of device property data

Referenced Types

typeIGetDevPropertyResponse
IDevPropertyItem[]

Examples

Basic usage

import { getDevProperty } from '@ray-js/ray';

getDevProperty({
  devId: 'your_device_id',
  bizType: 0,
  code: 'hello',
}).then((response) => {
  console.log('Device property:', response);
}).catch((err) => {
  console.error(err);
});